
%global meadversion 2.9.8
%global namedversion 2.9.8.redhat-00004
%global meadalpha .redhat_00004
%global meadrel .1
%global serial 2
%global namedversionrel redhat-00004

%bcond_with javadoc
%bcond_without mead

%{?scl:%scl_package jackson-annotations}
%{!?scl:%global pkg_name %{name}}

%define maven_version 2.9.8.redhat-00004

Name:           %{?scl_prefix}jackson-annotations
Version:        %{meadversion}
Release:        %{serial}%{meadalpha}%{meadrel}%{?dist}
Epoch:          0
Summary:        Jackson-annotations
Group:          Development/Java

%if %with mead
Source100: jackson-annotations-2.9.8.redhat-00004-project-sources.tar.gz
Source102: jackson-annotations-2.9.8.redhat-00004-javadoc.jar
Source103: jackson-annotations-2.9.8.redhat-00004-sources.jar
Source104: jackson-annotations-2.9.8.redhat-00004.jar
Source105: jackson-annotations-2.9.8.redhat-00004.pom
%endif

License:        ASL 2.0
URL:            http://github.com/FasterXML/jackson
BuildArch:      noarch
BuildRoot:      %{_tmppath}/jackson-annotations-%{namedversion}-%{release}-root

%description
Core annotations used for value types, used by Jackson data binding package.

%if %with javadoc
%%package javadoc
Summary:        Javadoc for jackson-annotations
Group:          Development/Java

BuildRequires:  unzip

%%description javadoc
%{summary}.
%endif

%prep
%setup -q -n jackson-annotations-%{namedversion} -T -b 100

%build

%install
%{__rm} -rf %{buildroot}

# jars
%{__mkdir_p} %{buildroot}%{_javadir}
%{__cp} -p %{_sourcedir}/jackson-annotations-%{namedversion}.jar %{buildroot}%{_javadir}/jackson-annotations-%{namedversion}.jar
%{__cp} -p %{_sourcedir}/jackson-annotations-%{namedversion}-javadoc.jar %{buildroot}%{_javadir}/jackson-annotations-%{namedversion}-javadoc.jar
%{__cp} -p %{_sourcedir}/jackson-annotations-%{namedversion}-sources.jar %{buildroot}%{_javadir}/jackson-annotations-%{namedversion}-sources.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{namedversion}*; do %{__ln_s} ${jar} `/bin/echo ${jar} | %{__sed} -e "s|-%{namedversion}||g"`; done)

%if %with javadoc
# javadoc
%{__mkdir_p} %{buildroot}%{_javadocdir}/jackson-annotations-%{namedversion}
%{_bindir}/unzip -qq %{_sourcedir}/jackson-annotations-%{namedversion}-javadoc.jar -d %{buildroot}%{_javadocdir}/jackson-annotations-%{namedversion} -x META-INF/\*
%{__ln_s} jackson-annotations-%{namedversion} %{buildroot}%{_javadocdir}/jackson-annotations
%endif

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(0644,root,root,0755)
%doc README.md release-notes/VERSION
%{_javadir}/jackson-annotations-%{namedversion}.jar
%{_javadir}/jackson-annotations.jar
%if %with javadoc
%{_javadir}/jackson-annotations-%{namedversion}-javadoc.jar
%{_javadir}/jackson-annotations-javadoc.jar
%else
%exclude %{_javadir}/jackson-annotations-%{namedversion}-javadoc.jar
%exclude %{_javadir}/jackson-annotations-javadoc.jar
%endif
%{_javadir}/jackson-annotations-%{namedversion}-sources.jar
%{_javadir}/jackson-annotations-sources.jar

%if %with javadoc
%files javadoc
%defattr(0644,root,root,0755)
%{_javadocdir}/jackson-annotations-%{namedversion}
%{_javadocdir}/jackson-annotations
%endif

%changelog
* Wed Mar 06 2019 Permaine Cheung <pcheung@redhat.com> - 2.9.8-2.redhat_00004.1
- 2.9.8.redhat-00004

* Tue Jun 12 2018 Permaine Cheung <pcheung@redhat.com> - 2.9.5-2.redhat_2.1
- Rewrap for 7.2.0

* Thu May 24 2018 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.9.5-1.redhat_2.1
- upgrade to 2.9.5.redhat-2

* Mon Jan 29 2018 Vladimir Dosoudil <vdosoudi@redhat.com> - 2.8.11-1.redhat_1.1
- upgrade to 2.8.11.redhat-1

* Wed Jun 28 2017 Petr Sakar <psakar@redhat.com> - 2.8.9-1.redhat_1.1
- upgrade to 2.8.9.redhat-1

* Mon Feb 06 2017 Petr Sakar <psakar@redhat.com> - 2.8.6-1.redhat_1.1
- upgrade to 2.8.6.redhat-1

* Fri Feb 03 2017 Petr Sakar <psakar@redhat.com> - 2.8.5-1.redhat_1.1
- upgrade to 2.8.5.redhat-1

* Mon Oct 17 2016 Filip Kujikis <fkujikis@redhat.com> - 2.8.3-1.redhat_1.1
- prod build of upstream tag jackson-databind-2.8.3

* Thu Aug 11 2016 Petr Sakar <psakar@redhat.com> - 2.7.4-1.redhat_1.1
- upgrade to 2.7.4.redhat-1

* Tue Oct 27 2015 David Walluck <dwalluck@redhat.com> - 2.5.4-1.redhat_1.1
- 2.5.4

* Tue Aug 04 2015 David Walluck <dwalluck@redhat.com> - 2.5.2-1.redhat_1.1
- 2.5.2

* Tue Apr 07 2015 David Walluck <dwalluck@redhat.com> - 2.5.1-1.redhat_1.1
- release

